Page MenuHomePhabricator

Remove hip.amdgcn.bc hc.amdgcn.bc from HIP Toolchains
ClosedPublic

Authored by ashi1 on Jun 21 2018, 2:18 PM.

Details

Summary

Removing hip.amdgcn.bc and hc.amdgcn.bc from HIP ToolChains. These need to be removed in VDI build.

Diff Detail

Repository
rL LLVM

Event Timeline

ashi1 created this revision.Jun 21 2018, 2:18 PM
yaxunl accepted this revision.Jun 22 2018, 7:42 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Jun 22 2018, 7:42 AM

Why not provide a specific list of --hip-device-lib= for VDI builds? I am not sure about defining functions inside headers instead of using a hip bc lib.

Closed by commit rL335634: [HIP] Remove hip/hc.amdgcn.bc from HIP Toolchains (authored by aaronenyeshi, committed by ). · Explain WhyJun 26 2018, 10:45 AM
This revision was automatically updated to reflect the committed changes.